/*!
 * gitmars v7.0.0-beta.27
 * 这是一个git工作流工具
 * (c) 2021-2024 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { osLangSync } from 'os-lang';
import { useLocale } from '@gitmars/utils';
import * as index from '../locales/index.mjs';

const locales = ["enUS", "zhCN"];
let localeName = (process.env.GITMARS_LANG || osLangSync()).replace("-", "");
if (!locales.includes(localeName))
  localeName = "enUS";
var lang = useLocale(index[localeName]);

export { lang as default };
